/*
 * Copyright 2007-2009 Jiemamy Project and the Others.
 * Created on 2008/08/03
 *
 * This file is part of Jiemamy.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.jiemamy.eclipse;

/**
 * 画像リソースのキークラス。
 * 
 * TODO NLSクラスを用いて実装
 * 
 * @author daisuke
 */
public final class Images {
	
	// -------- buttons
	/** TABLE作成ボタン */
	public static final String BUTTON_TABLE = "BUTTON_TABLE";
	
	/** VIEW作成ボタン */
	public static final String BUTTON_VIEW = "BUTTON_VIEW";
	
	/** 外部キー作成ボタン */
	public static final String BUTTON_FK = "BUTTON_FK";
	
	/** 継承作成ボタン */
	public static final String BUTTON_INH = "BUTTON_INH";
	
	// -------- entity labels
	/** TABLE用Figureラベル */
	public static final String LABEL_TABLE = "LABEL_TABLE";
	
	/** VIEW用Figureラベル */
	public static final String LABEL_VIEW = "LABEL_VIEW";
	
	// -------- icons
	/** Jiemamyアイコン */
	public static final String ICON_JIEMAMY = "ICON_JIEMAMY";
	
	/** TABLEアイコン */
	public static final String ICON_TABLE = "ICON_TABLE";
	
	/** VIEWアイコン */
	public static final String ICON_VIEW = "ICON_VIEW";
	
	/** COLUMNアイコン */
	public static final String ICON_COLUMN = "ICON_COLUMN";
	
	/** コンテナアイコン */
	public static final String ICON_CONTAINER = "ICON_CONTAINER";
	
	/** ドメインアイコン */
	public static final String ICON_DOMAIN = "ICON_DOMAIN";
	
	/** PKアイコン */
	public static final String ICON_PK = "ICON_PK";
	
	/** FKアイコン */
	public static final String ICON_FK = "ICON_FK";
	
	/** INHアイコン */
	public static final String ICON_INH = "ICON_INH";
	
	/** NULLアイコン */
	public static final String ICON_NULL_DATA = "ICON_NULL_DATA";
	
	/** カラーパレットアイコン */
	public static final String ICON_COLOR_PALETTE = "ICON_COLOR_PALETTE";
	
	/** ON状態のチェックボックス */
	public static final String CHECK_ON = "CHECK_ON";
	
	// -------- check box image
	
	/** OFF状態のチェックボックス */
	public static final String CHECK_OFF = "CHECK_OFF";
	
	/** グレーアウトON状態のチェックボックス */
	public static final String CHECK_DISABLED_ON = "CHECK_DISABLED_ON";
	
	/** グレーアウトOFF状態のチェックボックス */
	public static final String CHECK_DISABLED_OFF = "CHECK_DISABLED_OFF";
	
	/** オンマウスON状態のチェックボックス */
	public static final String CHECK_HOVER_ON = "CHECK_HOVER_ON";
	
	/** オンマウスOFF状態のチェックボックス */
	public static final String CHECK_HOVER_OFF = "CHECK_HOVER_OFF";
	

	/**
	 * 定数クラスのため、privateコンストラクタ。
	 */
	private Images() {
	}
}
